#include <touchgfx/hal/Types.hpp>

FONT_LOCATION_FLASH_PRAGMA
KEEP extern const uint8_t unicodes_Asap_Bold_otf_18_4bpp[] FONT_LOCATION_FLASH_ATTRIBUTE =
{
    // Unicode: [0x0020, space]
    // (Has no glyph data)
    // Unicode: [0x002F, slash]
    0x00, 0x00, 0x20, 0xEE, 0x00, 0x00, 0x00, 0xF9, 0x0A, 0x00, 0x00, 0xF0, 0x3F, 0x00, 0x00, 0x60,
    0xDF, 0x00, 0x00, 0x00, 0xFC, 0x07, 0x00, 0x00, 0xF2, 0x1F, 0x00, 0x00, 0x80, 0xAF, 0x00, 0x00,
    0x00, 0xFE, 0x04, 0x00, 0x00, 0xF5, 0x0E, 0x00, 0x00, 0xB0, 0x8F, 0x00, 0x00, 0x20, 0xFF, 0x01,
    0x00, 0x00, 0xF8, 0x0B, 0x00, 0x00, 0xE0, 0x5F, 0x00, 0x00, 0x40, 0xEF, 0x00, 0x00, 0x00, 0x73,
    0x03, 0x00, 0x00, 0x00,
    // Unicode: [0x0041, A]
    0x00, 0x00, 0xFD, 0x1E, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x6F, 0x00, 0x00, 0x00, 0xA0, 0xFF, 0xBF,
    0x00, 0x00, 0x00, 0xF0, 0xEF, 0xFF, 0x01, 0x00, 0x00, 0xF5, 0x7F, 0xFF, 0x06, 0x00, 0x00, 0xFA,
    0x0E, 0xFE, 0x0B, 0x00, 0x00, 0xFF, 0x09, 0xFA, 0x1F, 0x00, 0x50, 0xFF, 0x04, 0xF5, 0x6F, 0x00,
    0xA0, 0xFF, 0xFF, 0xFF, 0xBF, 0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0xF5, 0xAF, 0x77, 0xA7,
    0xFF, 0x06, 0xFA, 0x0F, 0x00, 0x10, 0xFF, 0x0B, 0xFD, 0x0A, 0x00, 0x00, 0xFA, 0x0E,
    // Unicode: [0x0042, B]
    0xFA, 0xFF, 0xEF, 0x3B, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0x03, 0xFC, 0x7F, 0xD8, 0xFF, 0x0A, 0xFC,
    0x0F, 0x20, 0xFF, 0x0B, 0xFC, 0x0F, 0x81, 0xFF, 0x07, 0xFC, 0xFF, 0xFF, 0xAF, 0x00, 0xFC, 0xFF,
    0xFF, 0x8F, 0x00, 0xFC, 0x7F, 0xB8, 0xFF, 0x0B, 0xFC, 0x0F, 0x00, 0xFB, 0x2F, 0xFC, 0x0F, 0x00,
    0xFB, 0x3F, 0xFC, 0x7F, 0xA7, 0xFF, 0x1F, 0xFC, 0xFF, 0xFF, 0xFF, 0x08, 0xFA, 0xFF, 0xEF, 0x5C,
    0x00,
    // Unicode: [0x0043, C]
    0x00, 0x40, 0xCA, 0xEF, 0x8C, 0x01, 0x80, 0xFF, 0xFF, 0xFF, 0x7F, 0x40, 0xFF, 0xCF, 0x98, 0xDC,
    0x01, 0xFB, 0x8F, 0x00, 0x00, 0x00, 0xE0, 0xEF, 0x00, 0x00, 0x00, 0x10, 0xFF, 0x0C, 0x00, 0x00,
    0x00, 0xF2, 0xAF, 0x00, 0x00, 0x00, 0x10, 0xFF, 0x0C, 0x00, 0x00, 0x00, 0xF0, 0xEF, 0x00, 0x00,
    0x00, 0x00, 0xFC, 0x8F, 0x00, 0x00, 0x01, 0x50, 0xFF, 0xBF, 0x98, 0xFC, 0x06, 0x90, 0xFF, 0xFF,
    0xFF, 0x9F, 0x00, 0x50, 0xDA, 0xEF, 0x8C, 0x01,
    // Unicode: [0x0045, E]
    0xFA, 0xFF, 0xFF, 0xFF, 0xC0, 0xFF, 0xFF, 0xFF, 0x1F, 0xFC, 0x7F, 0x77, 0x67, 0xC0, 0xFF, 0x00,
    0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0x07, 0xFC, 0xFF, 0xFF, 0x9F, 0xC0,
    0xFF, 0x77, 0x77, 0x02, 0xFC, 0x0F, 0x00, 0x00, 0xC0, 0xFF, 0x00, 0x00, 0x00, 0xFC, 0x7F, 0x77,
    0x67, 0xC0, 0xFF, 0xFF, 0xFF, 0x1F, 0xFA, 0xFF, 0xFF, 0xFF, 0x00,
    // Unicode: [0x004C, L]
    0xF9, 0x0D, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00,
    0xFC, 0x0F, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00,
    0xFC, 0x0F, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0xFC, 0x7F, 0x77, 0x27, 0xFC, 0xFF, 0xFF, 0x8F,
    0xFA, 0xFF, 0xFF, 0x7F,
    // Unicode: [0x004E, N]
    0xF9, 0x4E, 0x00, 0x00, 0xFD, 0xC8, 0xFF, 0x0D, 0x00, 0xF0, 0xBF, 0xFC, 0xFF, 0x08, 0x00, 0xFF,
    0xCB, 0xFF, 0xFF, 0x03, 0xF0, 0xBF, 0xFC, 0xFF, 0xCF, 0x00, 0xFF, 0xCB, 0xEF, 0xFB, 0x7F, 0xF0,
    0xBF, 0xFC, 0x2E, 0xFF, 0x1F, 0xFF, 0xCB, 0xEF, 0x70, 0xFF, 0xFB, 0xBF, 0xFC, 0x0E, 0xC0, 0xFF,
    0xFF, 0xCB, 0xEF, 0x00, 0xF3, 0xFF, 0xBF, 0xFC, 0x0E, 0x00, 0xF8, 0xFF, 0xCB, 0xEF, 0x00, 0x00,
    0xFD, 0xBF, 0xF9, 0x0C, 0x00, 0x30, 0xFE, 0x09,
    // Unicode: [0x0050, P]
    0xFA, 0xFF, 0xEF, 0x4B, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0x04, 0xFC, 0x7F, 0xC7, 0xFF, 0x0C, 0xFC,
    0x0F, 0x00, 0xFE, 0x0F, 0xFC, 0x0F, 0x00, 0xFE, 0x0F, 0xFC, 0x7F, 0xC8, 0xFF, 0x0C, 0xFC, 0xFF,
    0xFF, 0xFF, 0x03, 0xFC, 0xFF, 0xEF, 0x3A, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0x00, 0xFC, 0x0F, 0x00,
    0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0x00, 0xFC, 0x0F, 0x00, 0x00, 0x00, 0xF9, 0x0D, 0x00, 0x00,
    0x00,
    // Unicode: [0x0051, Q]
    0x00, 0x30, 0xEA, 0xEF, 0x5B, 0x00, 0x00, 0x60, 0xFF, 0xFF, 0xFF, 0x9F, 0x00, 0x30, 0xFF, 0xCF,
    0xB8, 0xFF, 0x5F, 0x00, 0xFA, 0x8F, 0x00, 0x60, 0xFF, 0x0D, 0xE0, 0xFF, 0x00, 0x00, 0xD0, 0xFF,
    0x00, 0xFF, 0x0C, 0x00, 0x00, 0xFA, 0x2F, 0xF2, 0xBF, 0x00, 0x00, 0x80, 0xFF, 0x14, 0xFF, 0x0B,
    0x00, 0x00, 0xF9, 0x4F, 0xF0, 0xDF, 0x00, 0x00, 0xB0, 0xFF, 0x02, 0xFC, 0x3F, 0x00, 0x10, 0xFF,
    0x0E, 0x60, 0xFF, 0x3E, 0x20, 0xFC, 0x8F, 0x00, 0xB0, 0xFF, 0xFF, 0xFF, 0xDF, 0x00, 0x00, 0x90,
    0xFF, 0xFF, 0xDF, 0x01, 0x00, 0x00, 0x20, 0xE8, 0xFF, 0xEF, 0x18, 0x00, 0x00, 0x00, 0x50, 0xFC,
    0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x92, 0x1D,
    // Unicode: [0x0053, S]
    0x00, 0xC6, 0xFF, 0x6C, 0x00, 0xF9, 0xFF, 0xFF, 0x1F, 0xF1, 0xFF, 0x89, 0x9B, 0x40, 0xFF, 0x09,
    0x00, 0x00, 0xF3, 0xEF, 0x04, 0x00, 0x00, 0xFD, 0xFF, 0x5C, 0x00, 0x20, 0xFD, 0xFF, 0xAF, 0x00,
    0x00, 0xD5, 0xFF, 0x5F, 0x00, 0x00, 0x80, 0xFF, 0x09, 0x02, 0x00, 0xF3, 0x9F, 0xF3, 0x8D, 0xD8,
    0xFF, 0x76, 0xFF, 0xFF, 0xFF, 0x0D, 0x60, 0xEB, 0xEF, 0x19, 0x00,
    // Unicode: [0x0061, a]
    0x20, 0xEA, 0xEF, 0x3B, 0x00, 0xF9, 0xFF, 0xFF, 0x2F, 0x20, 0x6B, 0x94, 0xFF, 0x07, 0x00, 0x00,
    0xF1, 0x9F, 0x00, 0xB5, 0xFD, 0xFF, 0x09, 0xF9, 0xFF, 0xFE, 0x9F, 0xF2, 0xAF, 0x11, 0xFF, 0x39,
    0xFF, 0x4B, 0xFC, 0xAF, 0xF1, 0xFF, 0xFF, 0xFF, 0x0B, 0xD5, 0xCF, 0xB3, 0x8E,
    // Unicode: [0x0062, b]
    0xFA, 0x0B, 0x00, 0x00, 0xD0, 0xDF, 0x00, 0x00, 0x00, 0xFD, 0x0D, 0x00, 0x00, 0xD0, 0xDF, 0x00,
    0x00, 0x00, 0xFD, 0xBE, 0xDF, 0x07, 0xD0, 0xFF, 0xFF, 0xFF, 0x08, 0xFD, 0x6F, 0xE5, 0xFF, 0xD1,
    0xDF, 0x00, 0xF7, 0x4F, 0xFD, 0x0D, 0x40, 0xFF, 0xD6, 0xDF, 0x00, 0xF4, 0x6F, 0xFD, 0x0E, 0x70,
    0xFF, 0xD4, 0xFF, 0x39, 0xFD, 0x1F, 0xFD, 0xFF, 0xFF, 0x9F, 0xA0, 0x7F, 0xD7, 0x9E, 0x00,
    // Unicode: [0x0063, c]
    0x00, 0xA2, 0xFD, 0x9D, 0x00, 0xF3, 0xFF, 0xFF, 0x3F, 0xC0, 0xFF, 0x48, 0x86, 0x10, 0xFF, 0x0B,
    0x00, 0x00, 0xF2, 0x8F, 0x00, 0x00, 0x30, 0xFF, 0x08, 0x00, 0x00, 0xF1, 0xBF, 0x00, 0x00, 0x00,
    0xFD, 0x7F, 0x63, 0x09, 0x40, 0xFF, 0xFF, 0xFF, 0x05, 0x30, 0xEB, 0xDF, 0x09,
    // Unicode: [0x0064, d]
    0x00, 0x00, 0x00, 0xF7, 0x0D, 0x00, 0x00, 0x00, 0xF9, 0x0F, 0x00, 0x00, 0x00, 0xF9, 0x0F, 0x00,
    0x00, 0x00, 0xF9, 0x0F, 0x00, 0xC4, 0xDF, 0xFD, 0x0F, 0x40, 0xFF, 0xFF, 0xFF, 0x0F, 0xC0, 0xFF,
    0x56, 0xFC, 0x0F, 0xF1, 0xAF, 0x00, 0xF9, 0x0F, 0xF3, 0x7F, 0x00, 0xF9, 0x0F, 0xF3, 0x8F, 0x00,
    0xF9, 0x0F, 0xF1, 0xBF, 0x00, 0xFA, 0x0F, 0xD0, 0xFF, 0x86, 0xFF, 0x1F, 0x50, 0xFF, 0xFF, 0xFE,
    0x3F, 0x00, 0xD6, 0x8E, 0xF4, 0x2D,
    // Unicode: [0x0065, e]
    0x00, 0xB3, 0xEE, 0x2B, 0x00, 0x30, 0xFF, 0xFF, 0xFF, 0x02, 0xC0, 0xFF, 0x57, 0xFF, 0x09, 0xF0,
    0xAF, 0x00, 0xFB, 0x0D, 0xF2, 0xFF, 0xFF, 0xFF, 0x0F, 0xF3, 0xFF, 0xDD, 0xDD, 0x07, 0xF1, 0xAF,
    0x00, 0x00, 0x00, 0xC0, 0xFF, 0x37, 0xA6, 0x02, 0x30, 0xFF, 0xFF, 0xFF, 0x09, 0x00, 0xA2, 0xFD,
    0x9D, 0x02,
    // Unicode: [0x0067, g]
    0x00, 0xD6, 0xFF, 0xFF, 0x8F, 0x70, 0xFF, 0xFF, 0xFF, 0x9F, 0xE0, 0xBF, 0x20, 0xFF, 0x08, 0xF0,
    0x7F, 0x00, 0xFE, 0x09, 0xD0, 0xCF, 0x52, 0xFF, 0x07, 0x70, 0xFF, 0xFF, 0xEF, 0x01, 0x00, 0xFD,
    0xEF, 0x3B, 0x00, 0x80, 0xFF, 0x02, 0x00, 0x00, 0x80, 0xFF, 0xDF, 0x6A, 0x00, 0x50, 0xFF, 0xFF,
    0xFF, 0x0D, 0xF3, 0x5F, 0x20, 0xF8, 0x4F, 0xF7, 0x8F, 0x44, 0xFA, 0x3F, 0xF4, 0xFF, 0xFF, 0xFF,
    0x0B, 0x40, 0xEB, 0xEF, 0x6C, 0x00,
    // Unicode: [0x0069, i]
    0xFC, 0xF9, 0xBF, 0xB8, 0x06, 0x00, 0xFC, 0xF9, 0xBF, 0xFF, 0xFB, 0xBF, 0xFF, 0xFB, 0xBF, 0xFF,
    0xFB, 0xBF, 0xFF, 0xCB, 0x9F,
    // Unicode: [0x006B, k]
    0xFA, 0x0B, 0x00, 0x00, 0xD0, 0xDF, 0x00, 0x00, 0x00, 0xFD, 0x0D, 0x00, 0x00, 0xD0, 0xDF, 0x00,
    0x00, 0x00, 0xFD, 0x0D, 0xD1, 0xAF, 0xD0, 0xDF, 0xA0, 0xFF, 0x02, 0xFD, 0x4D, 0xFF, 0x07, 0xD0,
    0xEF, 0xFD, 0x0C, 0x00, 0xFD, 0xFF, 0x5F, 0x00, 0xD0, 0xEF, 0xFE, 0x0D, 0x00, 0xFD, 0x6D, 0xFF,
    0x07, 0xD0, 0xDF, 0xC0, 0xFF, 0x01, 0xFD, 0x0D, 0xF3, 0xAF, 0xA0, 0xBF, 0x00, 0xF9, 0x2F,
    // Unicode: [0x006C, l]
    0xFB, 0x0A, 0xD0, 0xCF, 0x00, 0xFD, 0x0C, 0xD0, 0xCF, 0x00, 0xFD, 0x0C, 0xD0, 0xCF, 0x00, 0xFD,
    0x0C, 0xD0, 0xCF, 0x00, 0xFD, 0x0C, 0xD0, 0xCF, 0x00, 0xFD, 0x0C, 0xC0, 0xEF, 0x04, 0xF9, 0xFF,
    0x15, 0xFB, 0x4E,
    // Unicode: [0x006E, n]
    0xC0, 0x6F, 0xC5, 0xBF, 0x02, 0xFF, 0xFE, 0xFF, 0xBF, 0xF0, 0xFF, 0x6A, 0xFF, 0x0E, 0xFE, 0x0D,
    0xB0, 0xFF, 0xE0, 0xCF, 0x00, 0xFB, 0x0F, 0xFE, 0x0C, 0xB0, 0xFF, 0xE0, 0xCF, 0x00, 0xFB, 0x0F,
    0xFE, 0x0C, 0xB0, 0xFF, 0xE0, 0xCF, 0x00, 0xFB, 0x0F, 0xFB, 0x0A, 0x90, 0xDF,
    // Unicode: [0x006F, o]
    0x00, 0xB3, 0xEE, 0x5C, 0x00, 0x30, 0xFF, 0xFF, 0xFF, 0x07, 0xC0, 0xFF, 0x46, 0xFE, 0x1F, 0xF0,
    0xAF, 0x00, 0xF6, 0x4F, 0xF3, 0x7F, 0x00, 0xF4, 0x6F, 0xF3, 0x7F, 0x00, 0xF4, 0x6F, 0xF0, 0xAF,
    0x00, 0xF6, 0x4F, 0xC0, 0xFF, 0x46, 0xFE, 0x1F, 0x30, 0xFF, 0xFF, 0xFF, 0x07, 0x00, 0xB3, 0xFE,
    0x5C, 0x00,
    // Unicode: [0x0070, p]
    0xFB, 0x58, 0xEC, 0x09, 0xE0, 0xEF, 0xFF, 0xFF, 0x0A, 0xFC, 0xBF, 0xD5, 0xFF, 0xB2, 0xFF, 0x00,
    0xF6, 0x6F, 0xFB, 0x0E, 0x30, 0xFF, 0xB8, 0xEF, 0x00, 0xF3, 0x8F, 0xFB, 0x0E, 0x50, 0xFF, 0xB6,
    0xFF, 0x46, 0xFD, 0x2F, 0xFB, 0xFF, 0xFF, 0x9F, 0xB0, 0xFF, 0xFB, 0x8D, 0x00, 0xFB, 0x0E, 0x00,
    0x00, 0xB0, 0xEF, 0x00, 0x00, 0x00, 0xFB, 0x0E, 0x00, 0x00, 0x90, 0xCF, 0x00, 0x00, 0x00,
    // Unicode: [0x0072, r]
    0xC0, 0x6F, 0xF9, 0x06, 0xFF, 0xFE, 0x8F, 0xF0, 0xFF, 0x7B, 0x01, 0xFE, 0x0D, 0x00, 0xE0, 0xCF,
    0x00, 0x00, 0xFE, 0x0C, 0x00, 0xE0, 0xCF, 0x00, 0x00, 0xFE, 0x0C, 0x00, 0xE0, 0xCF, 0x00, 0x00,
    0xFB, 0x0A, 0x00,
    // Unicode: [0x0073, s]
    0x10, 0xEA, 0xDF, 0x05, 0xC0, 0xFF, 0xFF, 0x09, 0xF2, 0xAF, 0x52, 0x01, 0xF2, 0xDF, 0x04, 0x00,
    0xC0, 0xFF, 0xCF, 0x02, 0x00, 0xF8, 0xFF, 0x0C, 0x00, 0x00, 0xFD, 0x0F, 0x90, 0x46, 0xFD, 0x0F,
    0xF5, 0xFF, 0xFF, 0x08, 0x91, 0xFD, 0x8D, 0x00,
    // Unicode: [0x0074, t]
    0x10, 0x67, 0x00, 0x60, 0xFF, 0x00, 0x80, 0xFF, 0x00, 0xF5, 0xFF, 0x5F, 0xF6, 0xFF, 0x6F, 0xB0,
    0xFF, 0x03, 0x90, 0xFF, 0x00, 0x90, 0xFF, 0x00, 0x90, 0xFF, 0x00, 0x90, 0xFF, 0x00, 0x80, 0xFF,
    0x16, 0x50, 0xFF, 0x9F, 0x00, 0xE8, 0x7F,
    // Unicode: [0x0075, u]
    0xFC, 0x09, 0x90, 0xCF, 0xF0, 0xBF, 0x00, 0xFC, 0x0E, 0xFF, 0x0B, 0xC0, 0xEF, 0xF0, 0xBF, 0x00,
    0xFC, 0x0E, 0xFF, 0x0B, 0xC0, 0xEF, 0xF0, 0xBF, 0x00, 0xFC, 0x0E, 0xFF, 0x0C, 0xC0, 0xEF, 0xE0,
    0xFF, 0x96, 0xFF, 0x0F, 0xFA, 0xFF, 0xEF, 0xFF, 0x20, 0xFB, 0x5C, 0xF5, 0x0C,
    // Unicode: [0x0078, x]
    0xF9, 0x2E, 0x40, 0xFF, 0x26, 0xFF, 0x0B, 0xFD, 0x1E, 0x80, 0xFF, 0xFB, 0x5F, 0x00, 0xD0, 0xFF,
    0xAF, 0x00, 0x00, 0xF4, 0xFF, 0x01, 0x00, 0x50, 0xFF, 0x2F, 0x00, 0x10, 0xFE, 0xFF, 0x0C, 0x00,
    0xFA, 0x9F, 0xFF, 0x06, 0xF4, 0x8F, 0xD0, 0xFF, 0xB1, 0xDF, 0x00, 0xF4, 0x7F,
    // Unicode: [0x2026, ellipsis]
    0xE6, 0x1D, 0xE9, 0x0B, 0xEC, 0x98, 0xFF, 0xC2, 0xFF, 0xF0, 0xBF, 0xF6, 0x1E, 0xFA, 0x0C, 0xFD,
    0x09
};
